﻿<Graph ClassName="SOShipmentExtOTC" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using CRLocation = PX.Objects.CR.Standalone.Location;
using POReceipt = PX.Objects.PO.POReceipt;
using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.AR;
using PX.Objects.CM;
using PX.Objects.Common.Attributes;
using PX.Objects.Common.Bql;
using PX.Objects.Common;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.IN;
using PX.Objects.SO;
using PX.Objects;
using PX.SM;
using System.Collections.Generic;
using System;

namespace PX.Objects.SO
{
    public class SOShipmentExtOTC : PXCacheExtension<PX.Objects.SO.SOShipment>
    {
        #region UsrDRNbr
        [PXDBString(20)]
        [PXUIField(DisplayName = "DR Reference Nbr.")]
        public virtual string UsrDRNbr { get; set; }
        public abstract class usrDRNbr : PX.Data.BQL.BqlString.Field<usrDRNbr> { }
        #endregion
    }
}]]></CDATA>
</Graph>